require 'minitest/autorun'
require_relative '../../../lib/finders/flickr_findr'

class TestFlickrFindr < Minitest::Unit::TestCase
  def setup
    mock_flickr_client = Minitest::Mock.new
    mock_flickr_client.expect :search, ['http://www.flickr.com/garbage'], [String]
    mock_flickr_client.expect :uri, 'http://www.flickr.com/garbage', [String]
    @finder = FlickrFindr.new(mock_flickr_client)
  end

  def test_that_it_returns_an_image_path
    path = @finder.find('something')
    assert_equal path, 'http://www.flickr.com/garbage'
  end
end
