require 'minitest/autorun'
require_relative '../../../lib/finders/tweet_finder'

class TestTweetFinder < Minitest::Unit::TestCase
  def setup
    search_result = 'I just backed Potato Salad on @Kickstarter kck.st/1pLytCe'
    mock_client = Minitest::Mock.new
    3.times { mock_client.expect :search, search_result, [String] }
    stop_words = search_result.split
    @finder = TweetFinder.new(mock_client, ['Trumpets', 'Bookmarks', 'Potato Salads'])
  end

  def test_that_it_finds_a_tweet_per_query
    tweets = @finder.find_tweets
    assert_equal tweets.size, 3
  end
end
